www/cherokee - The NetBSD Packages Collection

Flexible and fast web server

Cherokee is a very fast, flexible and easy to configure Web Server.  It
supports the widespread technologies nowadays: FastCGI, SCGI, PHP, CGI,
TLS and SSL encrypted connections, Virtual hosts, Authentication, on the
fly encoding, Apache compatible log files, and much more.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake

Runtime dependencies

devel/pcre lang/python27 devel/pcre lang/python27

Available binary packages

aarch64:cherokee-1.2.101nb15.tgz(NetBSD 9.0)
aarch64:cherokee-1.2.101nb16.tgz(NetBSD 9.0)
aarch64:cherokee-1.2.101nb17.tgz(NetBSD 9.0)
alpha:cherokee-1.2.101nb17.tgz(NetBSD 9.0)
alpha:cherokee-1.2.101nb16.tgz(NetBSD 9.0)
earmv6hf:cherokee-1.2.101nb17.tgz(NetBSD 9.0)
earmv6hf:cherokee-1.2.101nb15.tgz(NetBSD 9.0)
earmv6hf:cherokee-1.2.101nb16.tgz(NetBSD 9.0)
earmv6hf:cherokee-1.2.101nb17.tgz(NetBSD 9.0)
earmv7hf:cherokee-1.2.101nb17.tgz(NetBSD 8.0)
earmv7hf:cherokee-1.2.101nb15.tgz(NetBSD 8.0)
earmv7hf:cherokee-1.2.101nb16.tgz(NetBSD 8.0)
earmv7hf:cherokee-1.2.101nb17.tgz(NetBSD 9.0)
earmv7hf:cherokee-1.2.101nb15.tgz(NetBSD 9.0)
earmv7hf:cherokee-1.2.101nb16.tgz(NetBSD 9.0)
earmv7hf:cherokee-1.2.101nb17.tgz(NetBSD 9.0)
i386:cherokee-1.2.101nb15.tgz(NetBSD 8.0)
i386:cherokee-1.2.101nb16.tgz(NetBSD 8.0)
i386:cherokee-1.2.101nb17.tgz(NetBSD 8.0)
i386:cherokee-1.2.101nb15.tgz(NetBSD 9.0)
i386:cherokee-1.2.101nb16.tgz(NetBSD 9.0)
i386:cherokee-1.2.101nb17.tgz(NetBSD 9.0)
mips64eb:cherokee-1.2.101nb16.tgz(NetBSD 9.0)
powerpc:cherokee-1.2.101nb15.tgz(NetBSD 8.0)
powerpc:cherokee-1.2.101nb17.tgz(NetBSD 8.0)
powerpc:cherokee-1.2.101nb16.tgz(NetBSD 8.0)
powerpc:cherokee-1.2.101nb16.tgz(NetBSD 9.0)
powerpc:cherokee-1.2.101nb15.tgz(NetBSD 9.0)
powerpc:cherokee-1.2.101nb17.tgz(NetBSD 9.0)
sparc64:cherokee-1.2.101nb17.tgz(NetBSD 9.0)
sparc64:cherokee-1.2.101nb15.tgz(NetBSD 9.0)
sparc64:cherokee-1.2.101nb16.tgz(NetBSD 9.0)
sparc:cherokee-1.2.101nb16.tgz(NetBSD 9.0)
x86_64:cherokee-1.2.101nb16.tgz(NetBSD 9.0)
x86_64:cherokee-1.2.101nb17.tgz(NetBSD 9.0)
x86_64:cherokee-1.2.101nb17.tgz(NetBSD 9.0)
x86_64:cherokee-1.2.101nb16.tgz(NetBSD 9.0)
x86_64:cherokee-1.2.101nb16.tgz(NetBSD 8.0)
x86_64:cherokee-1.2.101nb15.tgz(NetBSD 8.0)
x86_64:cherokee-1.2.101nb17.tgz(NetBSD 8.0)
x86_64:cherokee-1.2.101nb15.tgz(NetBSD 9.0)
x86_64:cherokee-1.2.101nb16.tgz(NetBSD 9.0)
x86_64:cherokee-1.2.101nb17.tgz(NetBSD 9.0)
x86_64:cherokee-1.2.101nb17.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

ffmpeg
Enable ffmpeg support.
geoip
Enable IP-to-country-lookup.
inet6
Enable support for IPv6.
ldap
Enable LDAP support.
mysql
Enable MySQL support.
pam
Enable PAM support.
ssl
Enable SSL support.
threads
Enable threads support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]